Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1689520 - Network driver problem
Summary: Network driver problem
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-16 12:08 UTC by Grigory
Modified: 2019-03-18 09:11 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Grigory 2019-03-16 12:08:20 UTC
Description of problem:
After waking up from suspend mode Ethernet Controller doen't work. Wifi ok.

Version-Release number of selected component (if applicable):


How reproducible:
$ lspci
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 10)

$ ifconfig -a
enp3s0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        ether 54:ee:75:5e:e5:c1  txqueuelen 1000  (Ethernet)
        RX packets 19301730  bytes 28087172789 (26.1 GiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 8475791  bytes 1278503576 (1.1 GiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Beniamino Galvani 2019-03-16 14:44:36 UTC
Please describe what "doesn't work" means. What is the output of

 ip link show dev enp3s0
 nmcli device
 ethtool enp3s0

after resuming the system from sleep?

Comment 2 Grigory 2019-03-17 21:01:50 UTC
(In reply to Beniamino Galvani from comment #1)
> Please describe what "doesn't work" means. What is the output of
> 
>  ip link show dev enp3s0
>  nmcli device
>  ethtool enp3s0
> 
> after resuming the system from sleep?
Right. Doesn't work means the enp3s0 device is disappears from NetworkManager. Only WIFI working. 

$ ip link show dev enp3s0
2: enp3s0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc fq_codel state DOWN mode DEFAULT group default qlen 1000
    link/ether 54:ee:75:5e:e5:c1 brd ff:ff:ff:ff:ff:ff

$ nmcli device
DEVICE  TYPE      STATE           CONNECTION 
wlp2s0  wifi      подключено      MYWIFI 
enp3s0  ethernet  недоступен      --         
lo      loopback  без управления  --         

$ ethtool enp3s0
Settings for enp3s0:
        Supported ports: [ TP AUI BNC MII FIBRE ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Supported pause frame use: Symmetric Receive-only
        Supports auto-negotiation: Yes
        Supported FEC modes: Not reported
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Advertised pause frame use: Symmetric Receive-only
        Advertised auto-negotiation: Yes
        Advertised FEC modes: Not reported
        Speed: 1000Mb/s
        Duplex: Full
        Port: MII
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: off
Cannot get wake-on-lan settings: Operation not permitted
        Current message level: 0x00000033 (51)
                               drv probe ifdown ifup
        Link detected: no

Comment 3 Beniamino Galvani 2019-03-18 09:11:14 UTC
The device reports that there is no carrier (no cable plugged), so this is probably a firmware/driver/nic issue. Reassigning to kernel component...


Note You need to log in before you can comment on or make changes to this bug.